---
  - name: Add mosquitto group
    ansible.builtin.group:
      name: "{{ mosquitto_group_name }}"
      state: present

  - name: Add mosquitto user
    ansible.builtin.user:
      name: "{{ mosquitto_user_name }}"
      group: "{{ mosquitto_group_name }}"
    register: mosquitto_user

  - name: create directory for mosquitto config
    file:
      path: '{{ mosquitto_host_base_path }}/{{ item }}'
      state: directory
      #owner: root
      owner: "{{ mosquitto_user.name }}"
      group: "{{ mosquitto_user.group }}"
      mode: '0700'
    with_items:
      - 
      - config
      - data
      - log

  - name: Template mosquitto conf
    template:
      src: "mosquitto.conf"
      dest: "{{ mosquitto_host_base_path }}/config/mosquitto.conf"
      owner: "{{ mosquitto_user.name }}"
      group: "{{ mosquitto_user.group }}"
      mode: 0700


  - name: install mosquitto container
    docker_container:
      name: "{{ mosquitto_container_name }}"
      image: '{{ mosquitto_container_image }}'
      ports: "{{ mosquitto_container_ports }}"
      user: "{{ mosquitto_user.uid }}:{{ mosquitto_user.group }}"
      restart_policy: unless-stopped
      labels: "{{ mosquitto_container_labels_complete }}"
      pull: true
      env: "{{ mosquitto_container_env }}"
      volumes: "{{ mosquitto_container_volumes }}"
